package gov.va.vss.service;

import gov.va.shared.service.validation.ServiceValidationException;
import gov.va.vss.model.benefitingService.BenefitingServiceTemplate;

public interface BenefitingServiceTemplateService {

	BenefitingServiceTemplate saveOrUpdate(BenefitingServiceTemplate benefitingServiceTemplate)
			throws ServiceValidationException;

	boolean canBeDeleted(long benefitingServiceTemplateId);

	void reactivate(long benefitingServiceTemplateId);

	void deleteOrInactivateBenefitingServiceTemplate(long benefitingServiceTemplateId);

	void deleteBenefitingServiceTemplate(long benefitingServiceTemplateId);

	void inactivateBenefitingServiceTemplate(long benefitingServiceTemplateId);

}
